# Module toml::map

source · [−]
Expand description

A map of String to toml::Value.

By default the map is backed by a `BTreeMap`. Enable the `preserve_order` feature of toml-rs to use `LinkedHashMap` instead.

## Structs

IntoIter

An owning iterator over a toml::Map’s entries.

Iter

An iterator over a toml::Map’s entries.

IterMut

A mutable iterator over a toml::Map’s entries.

Keys

An iterator over a toml::Map’s keys.

Map

Represents a TOML key/value type.

OccupiedEntry

An occupied Entry. It is part of the `Entry` enum.

VacantEntry

A vacant Entry. It is part of the `Entry` enum.

Values

An iterator over a toml::Map’s values.

## Enums

Entry

A view into a single entry in a map, which may either be vacant or occupied. This enum is constructed from the `entry` method on `Map`.